Get a product on a sales channel
GET https://{handle}.myshopline.com/admin/openapi/v20270301/product_listings/:product_listing_id.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Get a specified product on the current sales channel.
Path Parameters
- product_listing_id string requiredThe unique identifier for the product.
Maximum length: 64Example:16049619743346320200470282
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
product_listingobject
Product information.body_html stringThe product description.Example:This is a descriptioncreated_at stringThe date and time when the product was created. Format: ISO 8601.Example:2025-03-06T02:20:26+08:00handle stringThe semantically unique identifier for the product, which is generated based ontitleby default.Example:product-handleimagesobject[]
A list of product images.alt stringThe alternative textual description of the product image, usually a word or phrase with the characteristics or content of the image.Example:This is an image alt.src stringThe link to the product image, represented as a URL.Example:https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.pngoptionsobject[]
A list of product options.id stringThe unique identifier for the option.Example:16158068291703878544960282name stringThe name of the option.Example:Colorproduct_id stringThe unique identifier for the product corresponding to the option.Example:16057850264845250791280282values arrayA list of option values.Example:["red","green","white"]values_images mapThe mapping relationship between the option value and the corresponding image URL.Example:{"red":"https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"}product_id stringThe unique identifier for the product.Example:16057850264845250791280282published_at stringThe date and time when the product was published to the online store. Format: ISO 8601.Example:2025-03-06T02:20:26+08:00published_scope stringThe sales channel scope to which the product is published. The value of this parameter is fixed toweb, indicating an online store.spu stringThe identifier customized for the product by the merchant.Example:S00000001status stringThe status of the product. Valid values are:active: Publisheddraft: Unpublishedarchived: Archived
subtitle stringThe summary of the product.Example:This is a subtitletags stringA list of tags of the product.Example:tag1, tag2template_path stringThe file path of the theme template for the product details page.Example:templates/product.product_template_name.jsontitle stringThe name of the product.Example:This is a product nameunlisted booleanWhether the product is unlisted.true: The product is unlisted. The product is hidden from all public storefront channels and search results, but remains accessible via its direct URL.false: The product is listed. The product is displayed and searchable across all storefront channels as normal.
updated_at stringThe date and time when the product was last updated. Format: ISO 8601.Example:2025-03-06T02:20:26+08:00variantsobject[]
A list of product variants.barcode stringThe barcode of the variant.Example:T00000001compare_at_price stringThe original price of the variant. The value is rounded to two decimal places.Example:129.99id stringThe unique identifier for the variant.Example:18057039439794751459380282imageobject
The image of the variant.alt stringThe alternative textual description of the variant image, usually a word or phrase with the characteristics or content of the image.Example:This is an image alt.src stringThe link to the variant image, represented as a URL.Example:https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.pnginventory_item_id stringThe unique identifier for the inventory item.Example:59854602422372317075inventory_policy stringThe overselling policy for the variant. Valid values are:deny: Overselling is not allowed.continue: Overselling is allowed.
inventory_quantity integerThe total inventory quantity at all storage locations.Example:99inventory_tracker booleanIndicates whether the inventory tracking is enabled.true: Inventory tracking is enabled.false: Inventory tracking is not enabled.
option1 stringInformation of the first option of the variant.Example:redoption2 stringInformation of the second option of the variant.Example:xloption3 stringInformation of the third option of the variant.Example:cottonoption4 stringInformation of the fourth option of the variant.Example:shortoption5 stringInformation of the fifth option of the variant.Example:casualprice stringThe selling price of the variant. The value is rounded to two decimal places.Example:90.22product_id stringThe unique identifier for the product corresponding to the variant.Example:16057039432335097907370282required_shipping booleanIndicates whether the variant requires shipping.true: Shipping is required.false: Shipping is not required.
sku stringThe identifier customized for the product variant by the merchant.Example:S00000001taxable booleanIndicates whether the variant is subject to tax.true: Tax is required.false: Tax is not required.
title stringThe name of the variant, concatenated from its option values.Example:red · xlweight stringThe weight of the variant. The value is rounded to two decimal places.Example:0.23weight_unit stringThe unit of weight for the variant. Valid values are:g: gramkg: kilogramlb: poundoz: ouncezh_kg: kilogram
vendor stringThe brand or vendor of the product.Example:SHOPLINE
API Explorer
Debugger
Examples
Was this article helpful to you?